import type { FormProps } from 'ant-design-vue';
import type { FormColumn } from 'll-plus/es/components';
import type { IKeyType, IKeyValueItem } from './key-value';
export declare const typeRules: Array<{
    trigger: string[];
    message: string;
    validator: (_rule: any, value: any) => Promise<void>;
}>;
export declare const formOptions: FormProps;
export declare const formColumns: Array<{
    key: string;
    labelCol: {
        span: number;
    };
}>;
export declare const keyValueItemProps: {
    readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly values: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<IKeyValueItem[]>, unknown, unknown, () => IKeyValueItem[], boolean>;
    readonly disabledValue: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<number[]>, unknown, unknown, () => number[], boolean>;
    readonly disabledKey: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<number[]>, unknown, unknown, () => number[], boolean>;
    readonly disabledDelete: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<number[]>, unknown, unknown, () => number[], boolean>;
    readonly keyValueType: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<"single" | "doubt">, unknown, unknown, "doubt", boolean>;
    readonly keyType: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<any>, unknown, unknown, () => FormColumn, boolean>;
    readonly keyTypes: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<IKeyType[]>, unknown, unknown, () => IKeyType[], boolean>;
    readonly valueType: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<any>, unknown, unknown, () => FormColumn, boolean>;
    readonly value: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<IKeyValueItem>, unknown, unknown, () => IKeyValueItem, boolean>;
    readonly idx: {
        readonly type: import("vue").PropType<number>;
        readonly required: true;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly keyValueTypeDict: import("ll-plus/es/utils").EpPropFinalized<() => Record<string, string>, unknown, unknown, () => Record<string, string>, boolean>;
    readonly keepLast: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
};
export declare const keyValueItemEmits: {
    delete: () => boolean;
    change: () => boolean;
    'update:value': (value: IKeyValueItem) => boolean;
};
